using System;

namespace TakmicenjePetlja
{
    class Program
    {
        static void Main(string[] args)
        {
            (int, int) rezultat = (-1, -1);
            (int, int) KrajnjiRezultat = (-1, -1);
            string broj = "";
            foreach (char item in Console.ReadLine())
            {
                if (item != ' ') broj += item;
                else
                {
                    KrajnjiRezultat.Item1 = Convert.ToInt32(broj);
                    broj = "";
                }
            }
            KrajnjiRezultat.Item2 = Convert.ToInt32(broj);
            broj = "";
            foreach (char item in Console.ReadLine())
            {
                if (item != ' ') broj += item;
                else
                {
                    rezultat.Item1 = Convert.ToInt32(broj);
                    broj = "";
                }
            }
            rezultat.Item2 = Convert.ToInt32(broj);
            if (KrajnjiRezultat == rezultat) Console.WriteLine("nijedan tim");
            else if (KrajnjiRezultat.Item1 == rezultat.Item1) Console.WriteLine("drugi tim");
            else if (KrajnjiRezultat.Item2 == rezultat.Item2) Console.WriteLine("prvi tim");
            else Console.WriteLine("?");
        }
    }
}